import { render } from "@testing-library/react";
import { axe } from "vitest-axe";

import { Sticker } from "../";

const example = <Sticker color="black">Black sticker</Sticker>;

it("is valid html", () => {
  const { container } = render(example);
  expect(container).toHTMLValidate();
});

it("is accessible", async () => {
  const { container } = render(example);
  expect(await axe(container)).toHaveNoViolations();
});
